# 项目相关配置
staffing:
  # 名称
  name: staffing
  # 版本
  version: 3.8.8
  # 版权年份
  copyrightYear: 2024
  # 文件路径 示例（ Windows配置D:/staffing/uploadPath，Linux配置 /home/staffing/uploadPath）
  profile: D:/staffing/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.staffing: DEBUG
    org.springframework: WARN

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
    host: 8.155.21.176
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password: ps12345
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
    redisson:
      # 传输模式
      transportMode: "NIO"
      # 单节点配置
      singleServerConfig:
        # 连接空闲超时，单位：毫秒
        idleConnectionTimeout: 10000
        # 连接超时，单位：毫秒
        connectTimeout: 10000
        # 命令等待超时，单位：毫秒
        timeout: 3000
        # 命令失败重试次数,如果尝试达到 retryAttempts（命令失败重试次数） 仍然不能将命令发送至某个指定的节点时，将抛出错误。
        # 如果尝试在此限制之内发送成功，则开始启用 timeout（命令等待超时） 计时。
        retryAttempts: 3
        # 命令重试发送时间间隔，单位：毫秒
        retryInterval: 1500
        # 密码
        password: 12345
        # 客户端名称
        clientName: null
        # 单个连接最大订阅数量
        subscriptionsPerConnection: 5
        # 节点地址
        address: redis://192.168.18.119:6378
        # 发布和订阅连接的最小空闲连接数
        subscriptionConnectionMinimumIdleSize: 1
        # 发布和订阅连接池大小
        subscriptionConnectionPoolSize: 50
        # 最小空闲连接数
        connectionMinimumIdleSize: 32
        # 连接池大小
        connectionPoolSize: 64
        # 数据库编号
        database: 7
        # DNS监测时间间隔，单位：毫秒
        dnsMonitoringInterval: 5000

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 1025600

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.staffing.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

minio:
  ip: 8.155.21.176
  port: 9000
  access-key: root
  secret-key: root_6688

#env:
#  genPicCodeUrl: http://yg.pusonggroup.com:81/index.html?id=
#  picPrefix: https://www.tulkj.cn/file/yonggong/
#  appId: wx7bc7df6eb945a84f
#  secret: 60dc8f7e8c850dfbe0170acefa48070a
env:
  genPicCodeUrl: http://www.tulkj.cn:81/index.html?id=
  picPrefix: https://www.tulkj.cn/file/yonggong/
  appId: wx26e952dad7a8aae5
  secret: 60a85e94d921a385ce52faaaed4a103b